{ config, lib, pkgs, ... } :
with lib;
let
  cfg = config.local.apps.multimedia;
in
{
  options.local.apps.multimedia.enable = mkEnableOption "Video and audio tools";
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      deluge
      mpv
      obs-studio
      pavucontrol
      spotify
      vlc
    ];
  };
}
